For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Order
      • GETGet Shipment Logs
      • POSTMark Tracking Uploaded
      • GETGet All Shipments for Order
      • GETGet Order Store Data
      • POSTEstimate Fulfillment Cost For Order
      • GETGet Orders
      • POSTCreate Order
      • POSTCancel Shipment
      • POSTCancel Shipment by Order ID and Shipment ID
      • GETGet Shipping Methods
      • POSTCancel Order
      • GETGet Shipment Logs by Order ID and Shipment ID
      • GETGet Shipment Status Timeline by Order ID and Shipment ID
      • GETGet Shipment Timeline
      • GETGet Shipment
      • POSTBatch Cancel Shipments
      • GETGet Shipment by Order ID and Shipment ID
      • PUTBulk Update Shipping Service
      • POSTUpdate Shipment Line Items
      • PUTUpdate Shipment Address
      • GETGet Shipment Line Items
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Estimate Fulfillment Cost For Order

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2026-01/order:estimate
POST
/2026-01/order:estimate
$curl -X POST https://sandbox-api.shipbob.com/2026-01/order:estimate \
> -H "shipbob_channel_id: 1" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "address": {
> "country": "US",
> "address1": "100 Nowhere Blvd",
> "address2": "Suite 100",
> "city": "Gotham City",
> "company_name": "Wayne Enterprises",
> "state": "NJ",
> "zip_code": "07093"
> },
> "products": [
> {
> "quantity": 1,
> "id": 0,
> "reference_id": "TShirtBlueM"
> }
> ],
> "shipping_methods": [
> "string"
> ]
>}'
1{
2 "estimates": [
3 {
4 "estimated_currency_code": "string",
5 "estimated_price": 0.1,
6 "fulfillment_center": {
7 "id": 0,
8 "name": "Cicero (IL)"
9 },
10 "shipping_method": "string",
11 "total_weight_oz": 0.1
12 }
13 ]
14}
This endpoint will provide, where possible, an estimate of pricing and fulfillment center assignment of a potential standard (direct to consumer) order. Keep in mind that there are ways for the merchant to change FC assignment or product configuration after order creation that could invalidate this estimate. Estimates cannot be returned for items that are unknown, out of stock, or too large for fulfillment using standard box sizes. Additional services such as high-pick fees, shipping insurance, auto-splitting or auto-adding items to orders, and signature required are not included in this estimate.
Was this page helpful?
Previous

Get Order Store Data

Next

Get Orders

Built with

This endpoint will provide, where possible, an estimate of pricing and fulfillment center assignment of a potential standard (direct to consumer) order. Keep in mind that there are ways for the merchant to change FC assignment or product configuration after order creation that could invalidate this estimate. Estimates cannot be returned for items that are unknown, out of stock, or too large for fulfillment using standard box sizes. Additional services such as high-pick fees, shipping insurance, auto-splitting or auto-adding items to orders, and signature required are not included in this estimate.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idintegerRequired
Channel Id for Operation

Request

addressobjectRequired
productslist of objectsRequired

Products to be included in the order. Each product must include one of reference_id or id

shipping_methodslist of stringsOptional
Array of strings specifying shipping methods for which to fetch estimates. If this field is omitted we will return estimates for all shipping methods defined in ShipBob

Response

Success
estimateslist of objects
Array of estimates for each shipping method

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error